Bug 58415 - e2fsprogs uses obsolete MD ioctl
Summary: e2fsprogs uses obsolete MD ioctl
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-16 09:02 UTC by Vidar Langseid
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-20 13:44:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vidar Langseid 2002-01-16 09:02:57 UTC
Description of Problem:
Hi

I created a RAID-1 on rh72
It seems to work just find but I noticed this messages in the log afterwards:
kernel: md: badblocks(pid 1435) used obsolete MD ioctl, upgrade your software to
use new ictls.
I guess this happend when I formated the raid device

Maybe this is related to raidtools, but I filed the bug to e2fsprogs

Version-Release number of selected component (if applicable):
e2fsprogs-1.23-2
raidtools-0.90-24

How Reproducible:


Steps to Reproduce:
1. Create partitions
2. Create raidtab with RAID1
3. mkraid /dev/md0
4. mke2fs -c -m 0 -j /dev/md0

Actual Results:
As mention.. Got a message in the kernel log

Expected Results:


Additional Information:

Comment 1 Florian La Roche 2002-04-03 14:14:10 UTC
This should be some kernel message. I think it is already fixed in newer
kernels. Right?

Florian La Roche


Comment 2 Arjan van de Ven 2002-04-03 14:17:09 UTC
Wrong. If you use an obsolete ioctl the e2fsprogs needs fixing


Comment 3 Thomas Woerner 2004-04-20 13:44:48 UTC
Fixed in rawhide in rpm e2fsprogs-1.35-7.1 or newer.


Note You need to log in before you can comment on or make changes to this bug.